/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package es.rickyepoderi.jsf;

import java.net.URL;
import javax.faces.application.ViewResource;

/**
 * <p>Fake implementation of a memory resource. It just stores the URL for
 * the <em>mem://</em> protol.</p>
 * @author ricky
 */
public class MemoryViewResource extends ViewResource {

    /**
     * URL of the resource.
     */
    private URL url = null;
    
    /**
     * Constructor via the URL.
     * @param url URL of the resource
     */
    protected MemoryViewResource(URL url) {
        this.url = url;
    }
    
    /**
     * Return the URL of the resource.
     * @return The URL stored inside the resource
     */
    @Override
    public URL getURL() {
        return url;
    }
    
}
